#include <windows.h>
//#include <windowsx.h>
//#include <CDX.h>


typedef struct MapMakerCell_t
{
	WORD  layer[4];    // Tile index for each of the 4 layers
	BYTE  walkability; // Which part of the tile is walkable?
	BYTE  walkspecial; // Special fx
	DWORD flags;       // Flags, mostly user defined
	DWORD special;     // Completely user defined
}
MapMakerCell;

class MapMakerMap
{
public:
	//MapMakeMap(CDXTile *pTiles, CDXScreen *pScreen);
	MapMakerMap(void);
	virtual ~MapMakerMap();

	BOOL Create(const char *szFilename);
	virtual MapMakerCell *GetAt(DWORD x, DWORD y);
	virtual WORD GetTileAt(DWORD x, DWORD y, DWORD layer);

	DWORD GetWidth(void);
	DWORD GetHeight(void);


private:
	DWORD m_dwWidth;
	DWORD m_dwHeight;
	BOOL  m_bInit;

	MapMakerCell *m_pMap;
};
